*! version 1.0.0 December 22, 2005 @ 10:10:27
*! Generates Variable holding the number of gap-episodes in sequence
program define _gsqgapcount
version 9

	gettoken type 0 : 0
	gettoken h    0 : 0 
	gettoken eqs  0 : 0

	syntax varname [if] [in] , [i(varname) t(varname) sq(varname) ] 
	
	marksample touse, novarlist


	// Sq-Data
	capture _sqset `varlist' `i' `t'
	if _rc {
		di as error "data not declared as SQ-data; use -sqset-"
		exit 9
	}

	// Generate Variable
	quietly {
		by `touse' `_dta[SQiis]' (`_dta[SQtis]'), sort: ///
		  gen `h' = sum(`_dta[SQis]'>=.) if `_dta[SQis]'[_n-1] < . | _n==1 & `touse'
		by `touse' `_dta[SQiis]' (`_dta[SQtis]'): replace `h' = `h'[_N] if `touse'
		char _dta[SQgapcount] "$EGEN_Varname"
		label variable `h' "Overall number gaps in sequence"
	}
	
end

	
