*! version 1.0.0 December 22, 2005 @ 10:10:45
*! Generates Variable holding the (person specific) number of different items of sequence
program define _gsqitemcount
version 9

	gettoken type 0 : 0
	gettoken h    0 : 0 
	gettoken eqs  0 : 0

	syntax varname [if] [in] , [i(varname) t(varname) sq(varname) MISsing ] 
	
	marksample touse, novarlist

	// Sq-Data
	capture _sqset `varlist' `i' `t'
	if _rc {
		di as error "data not declared as SQ-data; use -sqset-"
		exit 9
	}

	quietly {

		// Options
		tempvar valid
		gen byte `valid' = cond("`missing'"=="",`_dta[SQis]' < .,1)
		
		// Generate Variable
		by `valid' `touse' `_dta[SQiis]' `_dta[SQis]', sort: gen `h' = 1 if _n==1 & `touse'
		by `touse' `_dta[SQiis]', sort: replace `h' = sum(`h') if `touse'
		by `touse' `_dta[SQiis]': replace `h' = `h'[_N] if `touse'
		char _dta[SQitemcount] "$EGEN_Varname"
		label variable `h' "Overall number of different items in sequence"
	}
end

	
